This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1029111 - (CVE-2013-4554) CVE-2013-4554 kernel: xen: hypercalls exposed to privilege rings 1 and 2 of HVM guests
CVE-2013-4554 kernel: xen: hypercalls exposed to privilege rings 1 and 2 of H...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131126,repor...
: Security
Depends On: 1029112 1029113 1034923
Blocks: 1029116
  Show dependency treegraph
 
Reported: 2013-11-11 11:57 EST by Petr Matousek
Modified: 2015-02-16 10:49 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-20 09:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-11 11:57:41 EST
The privilege check applied to hypercall attempts by a HVM guest only refused access from ring 3; rings 1 and 2 were allowed through.

Code running in the intermediate privilege rings of HVM guest OSes may be able to elevate its privileges inside the guest by careful hypercall use.

As far as we are aware no mainstream OS (Linux, Windows, BSD) make use of these rings.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Jan Beulich as the original reporter.
Comment 1 Petr Matousek 2013-11-11 12:02:41 EST
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5, however please note that none of the guest operating system supported in Red Hat Enterprise Linux 5 are using the vulnerable set of rings of protection for privilege separation.

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 5 Petr Matousek 2013-11-26 12:35:40 EST
This is now public:

  http://www.openwall.com/lists/oss-security/2013/11/26/9
Comment 6 Petr Matousek 2013-11-26 12:38:30 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1034923]
Comment 7 Fedora Update System 2013-12-07 02:01:41 EST
xen-4.2.3-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-07 02:03:21 EST
xen-4.2.3-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-20 21:27:46 EST
xen-4.3.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2014-03-12 14:29:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html

Note You need to log in before you can comment on or make changes to this bug.